--Load our Library :) 
local L3D = require('/libs/L3D/l3d')

--Some tables to store our model in
Verts = {}
Indcs = {}
Mat = {}

Balls = {}

for a = 1, 20 do
	Balls[a] = {}
	Balls[a][1] = math.random(-50, 50)
	Balls[a][2] = math.random(-50, 50)
	Balls[a][3] = math.random(50, 70)
end

--The Rotation is stored here
rot_y = 0

function love.load()
	
	--Let's set the mode (Mainly so I know how big the screen is
	love.graphics.setMode(640, 480, false, true, 0)
	
	--Set the screen width, height and field of view
	L3DSetup(640, 480, 256)
	
	--Disable clipping
	L3DDisable(L3DClipping)
	
	--Load an object into the tables Verts, Indcs and Mat (Vertices, Indices, and material)
	Verts, Indcs, Mat = L3DLoadObj("cube.obj")
end

function love.update(dt)

	--Let's see the FPS
	love.graphics.setCaption("FPS: " .. tostring(love.timer.getFPS()))
end

function love.draw()
	love.graphics.setBackgroundColor(30, 112, 255)
	love.graphics.setColor(0, 255, 0)
	
	for a = 1, 20 do
		L3DLoadIdentity()
		L3DRotate(rot_y, rot_y, rot_y)
		L3DTranslate(Balls[a][1], Balls[a][2], Balls[a][3])
		L3DDraw(Verts, Indcs, Mat)
		
		Balls[a][2] = Balls[a][2] + 1
		
		if Balls[a][2] > 50 then
			Balls[a][2] = -50
		end
	end
	
	rot_y = rot_y + 0.1
end